# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXInitGetNextHashElement

Function

Initializes a pointer for DXGetNextHashElement.

Syntax
`
#include <dx/dx.h>
`

Error DXInitGetNextHashElement(HashTable hashtable)

Functional Details

Generally, a program retrieves entries from a hash table by calling `DXQueryHashElement` to access arbitrary elements, but sometimes it is convenient to access all elements, regardless of their order. In that case, the program calls `DXInitGetNextHashElement` to initiate this indexing by initializing the pointer that `DXGetNextHashElement` uses for iterating `hashtable`. `DXInitGetNextElement` initializes the required pointer to zero (0).

Return Value

Returns `OK` or returns `ERROR` and sets an error code.

See Also

`DXCreateHash, DXGetNextHashElement, DXInsertHashElement, DXQueryHashElement`

14.5 , "Hashing".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]